function PR.Interop.CheckOtherPluginsExist()
    PR.Interop.IsTargetlessInstalled = pcall(
        function() return targetless.api.radarlock end) and
        pcall(function() return targetless.var.lock end)
    PR.Interop.IsBotwatcherInstalled = pcall(
        function() return Botwatcher.GetBotsSightedList end)
end
RegisterEvent(PR.Interop.CheckOtherPluginsExist, "PLUGINS_LOADED")

-- common import function wrapper
function PR.Interop.Import(plugin_name, load_func, import_func)
    PR.SaveNow()
    local external_data = load_func()
    if not external_data or not next(external_data) then
        return PR.Print(
            "Import from " .. plugin_name .. " failed: " .. plugin_name ..
            " ore database not found", true)
    elseif not PR.PluginReady then
        return PR.Print(
            "Import from " .. plugin_name ..
            " failed: Prospector is not ready yet", true)
    end
    PR.Print("Importing asteroid data from " .. plugin_name ..
        " now, please wait...", true)

    -- do the actual import
    local imported, skipped, failed = import_func(external_data)

    PR.Print("Import finished. " ..
        imported .. " asteroids were imported, " ..
        skipped .. " asteroids were skipped, and " ..
        failed .. " failed to import.", true
    )
    if imported > 0 then
        PR.Print("Recreating all system ore summaries, please wait...", true)
        PR.RecreateAllSystemData()
    end
    PR.Print("All done.", true)
    PR.LoadedSector = 0 -- force a reload of the currently loaded sector
end
